package com.bankaudit.report.v3.dto;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class ChapterDto {
 
	private String sequenceNumber;
	private String auditGroupCode;
	private String chapterName;
	private List<String> statements;  /** Static content  **/	
	private List<String> derivedStatements;
	private List<SectionDto> sectionList;
	private Boolean chapterDetailsAvail;	
	private Boolean chapterPageBreak;
	private String noDataMessage;
	
	private String chapterNameHindi;
	private List<String> statementsHindi;   
	private List<String> derivedStatementsHindi;
	Map<String, String> parameterMap =  new HashMap<String, String>();
	private List<CheckListDto> checkList;
	 
	 
	public String getSequenceNumber() {
		return sequenceNumber;
	}
	public void setSequenceNumber(String sequenceNumber) {
		this.sequenceNumber = sequenceNumber;
	}
	 
	public String getAuditGroupCode() {
		return auditGroupCode;
	}
	public void setAuditGroupCode(String auditGroupCode) {
		this.auditGroupCode = auditGroupCode;
	}
	public String getChapterName() {
		return chapterName;
	}
	public void setChapterName(String chapterName) {
		this.chapterName = chapterName;
	}
	
	public List<String> getDerivedStatements() {
		return derivedStatements;
	}
	public void setDerivedStatements(List<String> derivedStatements) {
		this.derivedStatements = derivedStatements;
	}
	public List<String> getStatements() {
		return statements;
	}
	public void setStatements(List<String> statements) {
		this.statements = statements;
	}
	public List<SectionDto> getSectionList() {
		return sectionList;
	}
	public void setSectionList(List<SectionDto> sectionList) {
		this.sectionList = sectionList;
	}
	public Boolean getChapterDetailsAvail() {
		return chapterDetailsAvail;
	}
	public void setChapterDetailsAvail(Boolean chapterDetailsAvail) {
		this.chapterDetailsAvail = chapterDetailsAvail;
	}
	public Boolean getChapterPageBreak() {
		return chapterPageBreak;
	}
	public void setChapterPageBreak(Boolean chapterPageBreak) {
		this.chapterPageBreak = chapterPageBreak;
	}	
	public String getNoDataMessage() {
		return noDataMessage;
	}
	public void setNoDataMessage(String noDataMessage) {
		this.noDataMessage = noDataMessage;
	}
	public String getChapterNameHindi() {
		return chapterNameHindi;
	}
	public void setChapterNameHindi(String chapterNameHindi) {
		this.chapterNameHindi = chapterNameHindi;
	}
	public List<String> getStatementsHindi() {
		return statementsHindi;
	}
	public void setStatementsHindi(List<String> statementsHindi) {
		this.statementsHindi = statementsHindi;
	}
	public List<String> getDerivedStatementsHindi() {
		return derivedStatementsHindi;
	}
	public void setDerivedStatementsHindi(List<String> derivedStatementsHindi) {
		this.derivedStatementsHindi = derivedStatementsHindi;
	}
	public Map<String, String> getParameterMap() {
		return parameterMap;
	}
	public void setParameterMap(Map<String, String> parameterMap) {
		this.parameterMap = parameterMap;
	}
	public List<CheckListDto> getCheckList() {
		return checkList;
	}
	public void setCheckList(List<CheckListDto> checkList) {
		this.checkList = checkList;
	}	
}
